## org.apache.lucene.util.encoding
Class EightFlagsIntDecoder

    java.lang.Object
      org.apache.lucene.util.encoding.IntDecoder
          org.apache.lucene.util.encoding.EightFlagsIntDecoder

    public class EightFlagsIntDecoder

extends IntDecoder

Decodes data which was encoded by `EightFlagsIntEncoder`. Scans the `indicator`, one flag (1-bits) at a time, and decodes extra data using `VInt8IntDecoder`.

See Also:
  `EightFlagsIntEncoder`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.util.encoding.IntDecoder
`EOS, in`

Constructor Summary
`EightFlagsIntDecoder()`

Method Summary
`long` `decode()` Decodes data received from the input stream, and returns one decoded integer.
`void` `reInit(InputStream in)` Sets the input stream from which the encoded data is read.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EightFlagsIntDecoder

    public EightFlagsIntDecoder()

Method Detail

### decode

    public long decode()
                throws IOException

  Description copied from class: `IntDecoder`
  Decodes data received from the input stream, and returns one decoded integer. If end of stream is reached, `IntDecoder.EOS` is returned.

  Specified by:
    `decode` in class `IntDecoder`
  Returns:
    one decoded integer as long or `IntDecoder.EOS` if end-of-stream reached.
  Throws:
    `IOException` - if an I/O error occurs

### reInit

    public void reInit(InputStream in)

  Description copied from class: `IntDecoder`
  Sets the input stream from which the encoded data is read.

  Overrides:
    `reInit` in class `IntDecoder`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`